open-vm-tools 10.3.10

Data Structures | Macros | Typedefs | Functions
threadPool.h File Reference
`#include <glib-object.h>`
`#include "vmware/tools/plugin.h"`

Go to the source code of this file.

## Data Structures
struct | ToolsCorePool
| Public interface of the shared thread pool. More...

## Macros
#define | TOOLS_CORE_PROP_TPOOL "tcs_prop_thread_pool"

## Typedefs
typedef void(* | ToolsCorePoolCb) (ToolsAppCtx *ctx, gpointer data)
typedef struct ToolsCorePool | ToolsCorePool
| Public interface of the shared thread pool. More...

## Functions
G_INLINE_FUNC ToolsCorePool * | ToolsCorePool_GetPool (ToolsAppCtx *ctx)
| Returns the thread pool instance for the service. More...
G_INLINE_FUNC guint | ToolsCorePool_SubmitTask (ToolsAppCtx *ctx, ToolsCorePoolCb cb, gpointer data, GDestroyNotify dtor)
| Submits a task for execution in the thread pool. More...
G_INLINE_FUNC void | ToolsCorePool_CancelTask (ToolsAppCtx *ctx, guint taskId)
| Cancels a task previously submitted to the pool. More...
G_INLINE_FUNC gboolean | ToolsCorePool_StartThread (ToolsAppCtx *ctx, ToolsCorePoolCb cb, ToolsCorePoolCb interrupt, gpointer data, GDestroyNotify dtor)
| Starts a task on its own thread. More...

## Detailed Description

Public interface for vmtoolsd's thread pool.